- empty_repo = @project.empty_repo?
- show_auto_devops_callout = show_auto_devops_callout?(@project)
- max_project_topic_length = 15
.project-home-panel{ class: ("empty-project" if empty_repo) }
  .row.append-bottom-8
    .home-panel-title-row.col-md-12.col-lg-6.d-flex
      .avatar-container.rect-avatar.s64.home-panel-avatar.append-right-default.float-none
        = project_icon(@project, alt: @project.name, class: 'avatar avatar-tile s64', width: 64, height: 64)
      .d-flex.flex-column.flex-wrap.align-items-baseline
        .d-inline-flex.align-items-baseline
          %h1.home-panel-title.prepend-top-8.append-bottom-5.qa-project-name
            = @project.name
            %span.visibility-icon.text-secondary.prepend-left-4.has-tooltip{ data: { container: 'body' }, title: visibility_icon_description(@project) }
              = visibility_level_icon(@project.visibility_level, fw: false, options: {class: 'icon'})
        .home-panel-metadata.d-flex.align-items-center.text-secondary
          - if can?(current_user, :read_project, @project)
            %span.text-secondary
              = s_('ProjectPage|Project ID: %{project_id}') % { project_id: @project.id }
          - if current_user
            %span.access-request-links.prepend-left-8
              = render 'shared/members/access_request_links', source: @project
          - if @project.tag_list.present?
            %span.home-panel-topic-list.d-inline-flex.prepend-left-8
              = sprite_icon('tag', size: 16, css_class: 'icon append-right-4')

              - @project.topics_to_show.each do |topic|
                - project_topics_classes = "badge badge-pill badge-secondary append-right-5"
                - explore_project_topic_path = explore_projects_path(tag: topic)
                - if topic.length > max_project_topic_length
                  %a{ class: "#{ project_topics_classes } str-truncated-30 has-tooltip", data: { container: "body" }, title: topic, href: explore_project_topic_path }
                    = topic.titleize
                - else
                  %a{ class: project_topics_classes, href: explore_project_topic_path }
                    = topic.titleize

              - if @project.has_extra_topics?
                .text-nowrap.has-tooltip{ data: { container: 'body' }, title: @project.has_extra_topics? ? @project.topics_not_shown.join(', ') : nil }
                  = _("+ %{count} more") % { count: @project.count_of_extra_topics_not_shown }


    .project-repo-buttons.col-md-12.col-lg-6.d-inline-flex.flex-wrap.justify-content-lg-end
      - if current_user
        .d-inline-flex
          = render 'shared/notifications/new_button', notification_setting: @notification_setting, btn_class: 'btn-xs'

      .count-buttons.d-inline-flex
        = render 'projects/buttons/star'
        = render 'projects/buttons/fork'

      - if can?(current_user, :download_code, @project)
        .project-clone-holder.d-inline-flex.d-md-none.btn-block
          = render "shared/mobile_clone_panel"

        .project-clone-holder.d-none.d-md-inline-flex
          = render "projects/buttons/clone"

  - if can?(current_user, :download_code, @project)
    %nav.project-stats
      .nav-links.quick-links
        = render 'stat_anchor_list', anchors: @project.statistics_anchors(show_auto_devops_callout: show_auto_devops_callout)

  .home-panel-home-desc.mt-1
    - if @project.description.present?
      .home-panel-description
        .home-panel-description-markdown.read-more-container
          = markdown_field(@project, :description)
        %button.btn.btn-blank.btn-link.js-read-more-trigger.d-lg-none{ type: "button" }
          = _("Read more")

    - if @project.forked?
      %p
        - if @project.fork_source
          #{ s_('ForkedFromProjectPath|Forked from') }
          = link_to project_path(@project.fork_source) do
            = fork_source_name(@project)
        - else
          - deleted_message = s_('ForkedFromProjectPath|Forked from %{project_name} (deleted)')
          = deleted_message % { project_name: fork_source_name(@project) }

    - if @project.mirror?
      - import_url = @project.safe_import_url
      %p
        Mirrored from #{link_to import_url, import_url}.
        %br
        = render "shared/mirror_status"

  - if @project.badges.present?
    .project-badges.mb-2
      - @project.badges.each do |badge|
        %a.append-right-8{ href: badge.rendered_link_url(@project),
          target: '_blank',
          rel: 'noopener noreferrer' }>
          %img.project-badge{ src: badge.rendered_image_url(@project),
            'aria-hidden': true,
            alt: 'Project badge' }>
